{ pkgs, lib, fetchFromGitea, rustPlatform }:

rustPlatform.buildRustPackage rec {
  pname = "aozora";
  version = "5b94155b4137c885bd63bc49cd400ec58152547f";

  buildInputs = with pkgs; [ openssl ];
  nativeBuildInputs = with pkgs; [ pkg-config ];

  src = fetchFromGitea {
    domain = "git.elnu.com";
    owner = "ElnuDev";
    repo = "aozora";
    rev = version;
    sha256 = "93MP1Iw1eklC+IEQXAhzLHJ+qsDASm53qw7vUEtEstI=";
  };

  cargoHash = "sha256-z0pLuWcfmFkV3xg+1XKmg/Zwvb3Ce8RpERCh1OjD+so=";

  meta = with lib; {
    description = "A simple CLI for fetching Plume Labs air quality info.";
    homepage = "https://git.elnu.com/ElnuDev/aozora";
    license = licenses.gpl3;
    maintainers = [ maintainers.tailhook ];
  };
}
